com.smartgwt.client.types

## Enum TimeFormatter

- java.lang.Object
- - java.lang.Enum<TimeFormatter>
  - - com.smartgwt.client.types.TimeFormatter

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<TimeFormatter>

  Deprecated.
  Use `DateDisplayFormatter` instead

      @Deprecated
      public enum TimeFormatter
      extends java.lang.Enum<TimeFormatter>
      implements ValueEnum

  String designating a standard time formatter for displaying the times associated with dates strings.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TO24HOURTIME` Deprecated. String will display with seconds in 24 hour time: `[H]H:MM:SS`.
    `TOPADDED24HOURTIME` Deprecated. String will display with seconds, with a 2 digit hour in 24 hour format: `HH:MM:SS` Examples: `15:25:15`, `03:16:45`
    `TOPADDEDTIME` Deprecated. String will display with seconds, with a 2 digit hour and am/pm indicator: `HH:MM:SS am|pm` Example: `03:25:15 pm`
    `TOSHORT24HOURTIME` Deprecated. String will have no seconds and be in 24 hour format: `[H]H:MM` Example:`15:25`
    `TOSHORTPADDED24HOURTIME` Deprecated. String will have no seconds and will display with a 2 digit hour in 24 hour clock format: `HH:MM` Examples: `15:25`, `03:16`
    `TOSHORTPADDEDTIME` Deprecated. String will have no seconds and will display a 2 digit hour, in 12 hour clock format: `HH:MM am|pm` Exmaple: `03:25 pm`
    `TOSHORTTIME` Deprecated. String will have no seconds and be in 12 hour format:`[H]H:MM am|pm` Example: `3:25 pm`
    `TOTIME` Deprecated. String will display with seconds and am/pm indicator:`[H]H:MM:SS am|pm`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Deprecated.
    `static TimeFormatter` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static TimeFormatter[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOTIME

          public static final TimeFormatter TOTIME

      Deprecated.
      String will display with seconds and am/pm indicator:`[H]H:MM:SS am|pm`.
      Example: `3:25:15 pm`

    - #### TO24HOURTIME

          public static final TimeFormatter TO24HOURTIME

      Deprecated.
      String will display with seconds in 24 hour time: `[H]H:MM:SS`.
      Example: `15:25:15`

    - #### TOPADDEDTIME

          public static final TimeFormatter TOPADDEDTIME

      Deprecated.
      String will display with seconds, with a 2 digit hour and am/pm indicator: `HH:MM:SS am|pm`
      Example: `03:25:15 pm`

    - #### TOPADDED24HOURTIME

          public static final TimeFormatter TOPADDED24HOURTIME

      Deprecated.
      String will display with seconds, with a 2 digit hour in 24 hour format: `HH:MM:SS`
      Examples: `15:25:15`, `03:16:45`

    - #### TOSHORTTIME

          public static final TimeFormatter TOSHORTTIME

      Deprecated.
      String will have no seconds and be in 12 hour format:`[H]H:MM am|pm`
      Example: `3:25 pm`

    - #### TOSHORT24HOURTIME

          public static final TimeFormatter TOSHORT24HOURTIME

      Deprecated.
      String will have no seconds and be in 24 hour format: `[H]H:MM`
      Example:`15:25`

    - #### TOSHORTPADDEDTIME

          public static final TimeFormatter TOSHORTPADDEDTIME

      Deprecated.
      String will have no seconds and will display a 2 digit hour, in 12 hour clock format: `HH:MM am|pm`
      Exmaple: `03:25 pm`

    - #### TOSHORTPADDED24HOURTIME

          public static final TimeFormatter TOSHORTPADDED24HOURTIME

      Deprecated.
      String will have no seconds and will display with a 2 digit hour in 24 hour clock format: `HH:MM`
      Examples: `15:25`, `03:16`

  - ### Method Detail

    - #### values

          public static TimeFormatter[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeFormatter c : TimeFormatter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimeFormatter valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Deprecated.
      Specified by:
        `getValue` in interface `ValueEnum`